Groovy 1.7.0

## org.codehaus.groovy.antlr
Class Main

    java.lang.Object
      org.codehaus.groovy.antlr.Main

    class Main
    extends Object

Field Summary
`static boolean` | `showTree`
`static boolean` | `verbose`
`static boolean` | `whitespaceIncluded`

Constructor Summary
`Main()`

Method Summary
`static void` | `doFile(File f)`
`static void` | `doTreeAction(String f, AST t, String[] tokenNames)`
`static void` | `main(String[] args)`
`static void` | `parseFile(String f, GroovyLexer l, SourceBuffer sourceBuffer)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### showTree

    static boolean showTree

### verbose

    static boolean verbose

### whitespaceIncluded

    static boolean whitespaceIncluded

Constructor Detail

### Main

    Main()

Method Detail

### doFile

    public static void doFile(File f)

### doTreeAction

    public static void doTreeAction(String f, AST t, String[] tokenNames)

### main

    public static void main(String[] args)

### parseFile

    public static void parseFile(String f, GroovyLexer l, SourceBuffer sourceBuffer)

Copyright © 2003-2009 The Codehaus. All rights reserved.